Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.persist
Interface PersisterMBean

All Known Implementing Classes:
  Persister

public interface PersisterMBean

Management interface for components able to persist information to a storage media.

Version:
  $Revision: 1.6 $

Method Summary
`java.lang.Object` | `load()` Loads the information persisted on the storage media.
`void` | `store(java.lang.Object data)` Store the given information to the storage media.

Method Detail

### load

    public java.lang.Object load()
                          throws javax.management.MBeanException,
                                 javax.management.RuntimeOperationsException,
                                 javax.management.InstanceNotFoundException

  Loads the information persisted on the storage media.

  Throws:
    `javax.management.MBeanException`
    `javax.management.RuntimeOperationsException`
    `javax.management.InstanceNotFoundException`
  See Also:
    `store(java.lang.Object)`

### store

    public void store(java.lang.Object data)
               throws javax.management.MBeanException,
                      javax.management.RuntimeOperationsException,
                      javax.management.InstanceNotFoundException

  Store the given information to the storage media.

  Throws:
    `javax.management.MBeanException`
    `javax.management.RuntimeOperationsException`
    `javax.management.InstanceNotFoundException`
  See Also:
    `load()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.